Subject: [Idr] Routing Directorate Review of BGP Link-State Implementation Report - draft-ietf-idr-ls-distribution-impl-00 (Authors copied)

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 11 Sep 2014 00:49:56 +0000

Hi,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document:  BGP Link-State Information Distribution Implementation Report - draft-ietf-idr-ls-distribution-impl-00

Reviewer: Acee Lindem

Review Date: 09/10/2014

Current WG Document

Intended Status: Informational

Summary: This is an implementation report for the BGP LS protocol mechanisms. The vendors were Cisco IOS-XR, Juniper JUNOS, and OpenDayLight. Basically, the document is ready for informational publication. 

Major Issues: None

Minor Issues:

It would be good to state the scope of the test in the "Introduction" section. At least, there should be a statement that solely the BGP advertisement of Link-State information and its successful reception were tested. This is apparent from the testing results in the subsequent sections but it would be good to state this up front. 

Nits: 
*** draft-ietf-idr-ls-distribution-impl-00.txt  2014-09-10 18:13:08.000000000 -0400
--- draft-ietf-idr-ls-distribution-impl-acee.txt           2014-09-10 20:22:21.000000000 -0400
***************
*** 621,627 ****

    Juniper: The Juniper Networks, Inc. JUNOS implementation should be
    interoperable with other vendor BGP-LS Protocol implementations.  In
!    particular, we have tested our interoperability with Cisco Systems,
    Inc. IOS-XR implementation and the Opendaylight implementation.

 7.3.  OpenDaylight Implementation
--- 621,627 ----

    Juniper: The Juniper Networks, Inc. JUNOS implementation should be
    interoperable with other vendor BGP-LS Protocol implementations.  In
!    particular, we have tested our interoperability with the Cisco Systems,
    Inc. IOS-XR implementation and the Opendaylight implementation.

 7.3.  OpenDaylight Implementation
***************
*** 630,637 ****
    with other vendor BGP-LS Protocol implementations.  In particular, we
    have tested our interoperability with Juniper's JUNOS implementation
    and the Cisco Systems, Inc. IOS-XR implementation.  BGP receiver is
!    implemented in OpenDaylight Hydrogen release.  BGP sender
!    functionality is planned in upcoming Helium release.

 8.  IANA Considerations
--- 630,637 ----
    with other vendor BGP-LS Protocol implementations.  In particular, we
    have tested our interoperability with Juniper's JUNOS implementation
    and the Cisco Systems, Inc. IOS-XR implementation.  BGP receiver is
!    implemented in the OpenDaylight Hydrogen release.  BGP sender
!    functionality is planned in the upcoming Helium release.

 8.  IANA Considerations
***************
*** 645,651 ****

 9.  Security considerations

!    No new security issues are introduced to the BGP Link-State
    Information Distribution Protocol defined in
    [I-D.ietf-idr-ls-distribution].

--- 645,651 ----

 9.  Security considerations

!    No new security issues are introduced by the BGP Link-State
    Information Distribution Protocol defined in
    [I-D.ietf-idr-ls-distribution].

Thanks,
Acee 

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr